SDL_GetCameraProperties(3)

NAME
SDL_GetCameraProperties - Get the properties associated with an opened camera.

HEADER FILE
Defined in SDL3/SDL_camera.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_PropertiesID SDL_GetCameraProperties(SDL_Camera *camera);

FUNCTION PARAMETERS

camera
    the SDL_Camera
     obtained from SDL_OpenCameraDevice ()

RETURN VALUE
Returns a valid property ID on success or 0 on failure; call SDL_GetError () for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetProperty(3), SDL_SetProperty(3)